package com.izouma.awesomeadmin.dao;

import com.izouma.awesomeadmin.model.PowerInfo;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * power_info Dao接口
 * Wed Apr 11 11:04:02 CST 2018  Suo Chen Cheng
 */ 
@Repository("com.zoumaframe.dao.PowerInfoMapper")
public interface PowerInfoMapper {

	int deleteByPrimaryKey(Integer id);

	int insertSelective(PowerInfo record);

	PowerInfo selectByPrimaryKey(Integer id);

	int updateByPrimaryKeySelective(PowerInfo record);

	List<PowerInfo> queryAllPowerInfo(PowerInfo record);

	List<PowerInfo> queryPowerInfosByPage(Map<String, Object> parameter);

	int delete(String id);

	PowerInfo queryPowerInfo(PowerInfo record);

	int deleteByRoleId(String roleId);
}

